Page MenuHomePhabricator

Allow getting descriptions in Lua without loading the whole entity into memory
Closed, ResolvedPublic

Description

Like we do for labels and sitelinks.

Relevant for entity lists like the list of all Properties, less relevant for clients other than Wikidata.org, probably.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
InvalidNone
OpenNone
ResolvedTpt
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedJarekt
ResolvedNone
Resolvedhoo

Event Timeline

hoo created this task.Dec 4 2014, 10:38 PM
hoo claimed this task.
hoo raised the priority of this task from to Needs Triage.
hoo updated the task description. (Show Details)
hoo changed Security from none to None.
hoo added a project: Performance Issue.
hoo added subscribers: hoo, daniel, aude, JanZerebecki.
Lydia_Pintscher triaged this task as High priority.Dec 5 2014, 4:37 PM

Change 204402 had a related patch set uploaded (by Hoo man):
Lua: Implement mw.wikibase.description

https://gerrit.wikimedia.org/r/204402

Change 204402 merged by jenkins-bot:
Lua: Implement mw.wikibase.description

https://gerrit.wikimedia.org/r/204402

matej_suchanek closed this task as Resolved.Jun 13 2015, 8:12 AM
matej_suchanek added a subscriber: matej_suchanek.

Works on client, assuming it's fixed now.